#include <iostream>
#include "arcMatrix.h"



int main(int argc, char *argv[]) {

    if (argc < 9) {
        std::cerr << "detector requires 9 arguments. See Arc-matrix/README.md for required parameters and their recommended ranges " << std::endl;
        return -1;
    }

    double theta_arc = std::stod(argv[1]);
    double lambda_arc = std::stod(argv[2]);
    double threshold = std::stod(argv[3]);
    double sigma = std::stod(argv[4]);
    double scale = std::stod(argv[5]);
    bool show = std::stoi(argv[6]);
    std::string outputPath = argv[7];


    for (int i = 8; i < argc; ++i) {

        std::string path = argv[i];
        arcMatrix(path, theta_arc, lambda_arc, threshold, sigma, scale, show,outputPath);
    }


    return 0;
}
